summaryrefslogtreecommitdiffstats
path: root/libraries/lockdev
diff options
context:
space:
mode:
author Larry Hajali2012-12-26 08:54:33 +0100
committer Matteo Bernardini2012-12-26 21:36:44 +0100
commitdda9331bd7afed45c8d0ef90050992d836977120 (patch)
tree7789f6ae695364b635d0bcb82337b4648401a45c /libraries/lockdev
parent95a9ba57f834b49c1d82446ed668dfc88088e344 (diff)
downloadslackbuilds-dda9331bd7afed45c8d0ef90050992d836977120.tar.gz
libraries/lockdev: Added (device-locking library).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'libraries/lockdev')
-rw-r--r--libraries/lockdev/README2
-rw-r--r--libraries/lockdev/lockdev.SlackBuild109
-rw-r--r--libraries/lockdev/lockdev.c.patch26
-rw-r--r--libraries/lockdev/lockdev.info10
-rw-r--r--libraries/lockdev/slack-desc19
5 files changed, 166 insertions, 0 deletions
diff --git a/libraries/lockdev/README b/libraries/lockdev/README
new file mode 100644
index 0000000000..71148f3a34
--- /dev/null
+++ b/libraries/lockdev/README
@@ -0,0 +1,2 @@
+Run-time shared library for locking devices, using _both_ FSSTND and SVr4
+methods.
diff --git a/libraries/lockdev/lockdev.SlackBuild b/libraries/lockdev/lockdev.SlackBuild
new file mode 100644
index 0000000000..91226c139c
--- /dev/null
+++ b/libraries/lockdev/lockdev.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/sh
+
+# Slackware build script for lockdev
+
+# Copyright 2012 Larry Hajali <larryhaja[at]gmail[dot]com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=lockdev
+VERSION=${VERSION:-1.0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_$VERSION.orig.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix Makefile.
+sed -i \
+ -e 's|/local||' -e "s|-g|& $SLKCFLAGS|" \
+ -e "s|/lib|/lib$LIBDIRSUFFIX|" Makefile
+# Fix lockdev.c.
+patch -p1 < $CWD/$PRGNAM.c.patch
+
+make
+make install basedir=$PKG/usr
+make -C LockDev install DESTDIR=$PKG
+
+# Remove the static library and fix permissions on dynamic library.
+rm -f $PKG/usr/lib$LIBDIRSUFFIX/lib$PRGNAM.a
+chmod 0755 $PKG/usr/lib$LIBDIRSUFFIX/lib$PRGNAM.$VERSION.so
+ln -s /usr/lib$LIBDIRSUFFIX/lib$PRGNAM.$VERSION.so \
+ $PKG/usr/lib$LIBDIRSUFFIX/lib$PRGNAM.so
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+mv $PKG/usr/share/man $PKG/usr
+find $PKG -type d -empty -delete
+find $PKG/usr/man -type f -exec gzip -9 '{}' \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog LICENSE README.debug $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/lockdev/lockdev.c.patch b/libraries/lockdev/lockdev.c.patch
new file mode 100644
index 0000000000..a83f90e001
--- /dev/null
+++ b/libraries/lockdev/lockdev.c.patch
@@ -0,0 +1,26 @@
+--- lockdev-1.0.3.orig/src/lockdev.c
++++ lockdev-1.0.3/src/lockdev.c
+@@ -125,14 +125,23 @@
+ #include <sys/file.h>
+ #if defined (__GNU_LIBRARY__)
+ # include <sys/sysmacros.h>
++#ifdef __GNU__
++# define MAJOR(dev) major (dev)
++# define MINOR(dev) minor (dev)
++#else
+ # define MAJOR(dev) gnu_dev_major (dev)
+ # define MINOR(dev) gnu_dev_minor (dev)
++#endif
+ #else
+ # error "put here a define for MAJOR and MINOR"
+ #endif
+
+ #include "lockdev.h"
+
++#ifndef MAXPATHLEN
++#define MAXPATHLEN 4096
++#endif
++
+ /*
+ * PROTOTYPES for internal functions
+ * all internal functions names start with _dl_
diff --git a/libraries/lockdev/lockdev.info b/libraries/lockdev/lockdev.info
new file mode 100644
index 0000000000..967457e9d0
--- /dev/null
+++ b/libraries/lockdev/lockdev.info
@@ -0,0 +1,10 @@
+PRGNAM="lockdev"
+VERSION="1.0.3"
+HOMEPAGE="http://packages.qa.debian.org/l/lockdev.html"
+DOWNLOAD="http://ftp.de.debian.org/debian/pool/main/l/lockdev/lockdev_1.0.3.orig.tar.gz"
+MD5SUM="64b9c1b87b125fc348e892e24625524a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
diff --git a/libraries/lockdev/slack-desc b/libraries/lockdev/slack-desc
new file mode 100644
index 0000000000..fae7d3a3e3
--- /dev/null
+++ b/libraries/lockdev/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+lockdev: lockdev
+lockdev:
+lockdev: Run-time shared library for locking devices, using _both_ FSSTND and
+lockdev: SVr4 methods.
+lockdev:
+lockdev: Homepage: http://packages.qa.debian.org/l/lockdev.html
+lockdev:
+lockdev:
+lockdev:
+lockdev:
+lockdev: